#include "vector2d.h"

// Korrekturen fr GLUT in Dev-C++:
#define GLUT_NO_LIB_PRAGMA
#define GLUT_NO_WARNING_DISABLE

#include <gl/glut.h>

Vector2D::Vector2D(double x_, double y_)
: x(x_), y(y_)
{ }

double Vector2D::length()
{
    return sqrt(x*x + y*y);
}

void Vector2D::plot()
{
    glVertex2f(x, y);
}

void Vector2D::plotX(double t)
{
    glVertex2f(t, x);
}

void Vector2D::plotY(double t)
{
    glVertex2f(t, y);
}

Vector2D Vector2D::operator+(Vector2D v)
{
    return Vector2D(x+v.x, y+v.y);
}

Vector2D operator*(double a, Vector2D v)
{
    return Vector2D(a*v.x, a*v.y);
}
