#include "vector3d.h"

// Korrekturen fr GLUT in Dev-C++:
#define GLUT_NO_LIB_PRAGMA
#define GLUT_NO_WARNING_DISABLE

#include <gl/glut.h>

Vector3D::Vector3D(double x_, double y_, double z_)
: x(x_), y(y_), z(z_)
{ }

double Vector3D::length()
{
    return sqrt(x*x + y*y + z*z);
}

void Vector3D::plot()
{
    glVertex3f(x, y, z);
}

Vector3D Vector3D::operator+(Vector3D v)
{
    return Vector3D(x+v.x, y+v.y, z+v.z);
}

Vector3D Vector3D::operator-(Vector3D v)
{
    return Vector3D(x-v.x, y-v.y, z-v.z);
}

Vector3D operator*(double a, Vector3D v)
{
    return Vector3D(a*v.x, a*v.y, a*v.z);
}
